tvbrowser.core.tvdataservice

## Class ChannelGroupManager

- java.lang.Object
- - tvbrowser.core.tvdataservice.ChannelGroupManager

-     public class ChannelGroupManager
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkForAvailableGroupsAndChannels(ProgressMonitor monitor)` Refresh the list of available groups and refresh the lists of available channels
    `ChannelGroup[]` | `getAvailableGroups()`
    `ChannelGroup[]` | `getAvailableGroups(AbstractTvDataServiceProxy proxy)` Returns all Groups for a TvDataServiceProxy
    `static ChannelGroupManager` | `getInstance()`
    `TvDataServiceProxy` | `getTvDataService(ChannelGroup group)`
    `ChannelGroup[]` | `getUsedGroups(AbstractTvDataServiceProxy proxy)` Return the groups which are needed for TV-Browser start.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ChannelGroupManager getInstance()

    - #### getTvDataService

          public TvDataServiceProxy getTvDataService(ChannelGroup group)

    - #### checkForAvailableGroupsAndChannels

          public void checkForAvailableGroupsAndChannels(ProgressMonitor monitor)

      Refresh the list of available groups and refresh the lists of available channels
      Parameters:
        `monitor` - Progress monitor that shows the current status of the refresh

    - #### getAvailableGroups

          public ChannelGroup[] getAvailableGroups()

    - #### getAvailableGroups

          public ChannelGroup[] getAvailableGroups(AbstractTvDataServiceProxy proxy)

      Returns all Groups for a TvDataServiceProxy
      Parameters:
        `proxy` - get Groups for this TvDataService
      Returns:
        ChannelGroups

    - #### getUsedGroups

          public ChannelGroup[] getUsedGroups(AbstractTvDataServiceProxy proxy)

      Return the groups which are needed for TV-Browser start.
      Parameters:
        `proxy` - The TvDataService to get the groups from.
      Returns:
        The needed ChannelGroups.
      Since:
        2.3

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)